#ifndef __GLOB_SEARCH_H__
#define __GLOB_SEARCH_H__

#include <gio/gio.h>

G_BEGIN_DECLS

#define GLOB_TYPE_SEARCH              glob_search_get_type()
#define GLOB_SEARCH(obj)              (G_TYPE_CHECK_INSTANCE_CAST ((obj), GLOB_TYPE_SEARCH, GlobSearch))
#define GLOB_SEARCH_CLASS(klass)      (G_TYPE_CHECK_CLASS_CAST ((klass), GLOB_TYPE_SEARCH, GlobSearchClass))
#define GLOB_IS_SEARCH(obj)           (G_TYPE_CHECK_INSTANCE_TYPE ((obj), GLOB_TYPE_SEARCH))
#define GLOB_IS_SEARCH_CLASS(klass)   (G_TYPE_CHECK_CLASS_TYPE ((klass), GLOB_TYPE_SEARCH))
#define GLOB_SEARCH_GET_CLASS(obj)    (G_TYPE_INSTANCE_GET_CLASS ((obj), GLOB_TYPE_SEARCH, GlobSearchClass))

typedef struct _GlobSearch        GlobSearch;
typedef struct _GlobSearchClass   GlobSearchClass;
typedef struct _GlobSearchPrivate GlobSearchPrivate;

struct _GlobSearch
{
    GObject parent;

    /*< private >*/
    GlobSearchPrivate *priv;
};

struct _GlobSearchClass
{
    GObjectClass parent_class;
};

GType         glob_search_get_type    (void) G_GNUC_CONST;
GlobSearch  * glob_search_dup         (void);

void          glob_search_get_matches_async (GlobSearch          *search,
                                             const gchar         *glob,
                                             GCancellable        *cancellable,
                                             GAsyncReadyCallback  callback,
                                             gpointer             user_data);
gchar **      glob_search_get_matches_finish (GlobSearch    *search,
                                              GAsyncResult  *res,
                                              GError       **err);

G_END_DECLS

#endif /* __GLOB_SEARCH_H__ */
