#ifndef __GLOB_STORE_H__
#define __GLOB_STORE_H__

#include <gtk/gtk.h>

G_BEGIN_DECLS

enum
{
    GLOB_STORE_TEXT,
    GLOB_STORE_COLUMNS
};

#define GLOB_TYPE_STORE              glob_store_get_type()
#define GLOB_STORE(obj)              (G_TYPE_CHECK_INSTANCE_CAST ((obj), GLOB_TYPE_STORE, GlobStore))
#define GLOB_STORE_CLASS(klass)      (G_TYPE_CHECK_CLASS_CAST ((klass), GLOB_TYPE_STORE, GlobStoreClass))
#define GLOB_IS_STORE(obj)           (G_TYPE_CHECK_INSTANCE_TYPE ((obj), GLOB_TYPE_STORE))
#define GLOB_IS_STORE_CLASS(klass)   (G_TYPE_CHECK_CLASS_TYPE ((klass), GLOB_TYPE_STORE))
#define GLOB_STORE_GET_CLASS(obj)    (G_TYPE_INSTANCE_GET_CLASS ((obj), GLOB_TYPE_STORE, GlobStoreClass))

typedef struct _GlobStore        GlobStore;
typedef struct _GlobStoreClass   GlobStoreClass;
typedef struct _GlobStorePrivate GlobStorePrivate;

struct _GlobStore
{
    GtkListStore parent;

    /*< private >*/
    GlobStorePrivate *priv;
};

struct _GlobStoreClass
{
    GtkListStoreClass parent_class;

    void (* finished) (GlobStore *store,
                       gint       matches);
};

GType         glob_store_get_type    (void) G_GNUC_CONST;
GlobStore *   glob_store_new         (void);
const gchar * glob_store_get_pattern (GlobStore   *store);
void          glob_store_set_pattern (GlobStore   *store,
                                      const gchar *pattern);

G_END_DECLS

#endif /* __GLOB_STORE_H__ */
